Using CRXN
==========

Once you're connected there are various things you can do on the network, some of which we have included below as a way to get your feet slightly wet with your new CRXN connection.

## Exploring network services

CRXN provides you with an IPv6 inter-network like any other, this means one can easily access network services running on other hosts throughout the network easily. Some services to try are:

* [Skiqqy's blog](http://[fdd4:975c:1440::1]:82/)
    - A personal blog of a developer
    - IPv6: `fdd4:975c:1440::1`
    - Port: `82`
* Deavmi's MumbleShack
    - A VOIP-based chat server
    - IPv6: `fd08:8441:e254::5`
    - Port: `64738`

You can find an exhaustive list of available services on the [services page](../services).

## Monitoring your

There are several tools available for monitoring the state of your CRXN router.

### Command-line tools

Tools such as `ip` provide you with the ability to inspect the routes from your router, such a command is `ip -6 route` which will show you all the IPv6 routes currently installed to your kernel's routing table:

```
fd08:8441:e254::/64 dev enx00e04c3a99a6 proto bird metric 32 pref medium
fd08:8441:e254::/64 dev enx00e04c3a99a6 proto kernel metric 101 pref medium
blackhole fd08:8441:e254::/48 dev lo proto bird metric 32 pref medium
fd40:aa42:4f39::/64 via fe80::c6ad:34ff:fe83:8a5c dev enx00e04c3608cc proto bird metric 32 pref medium
fd40:aa42:4f39::/48 via fe80::c6ad:34ff:fe83:8a5c dev enx00e04c3608cc proto bird metric 32 pref medium
fd8a:6111:3b1a:1104::/64 via fe80::3383:a4e:888e:7e8f dev enx00e04c3608cc proto bird metric 32 pref medium
fd92:58b6:2b2::/48 via fe80::9cd3:5eff:fe99:5d5b dev crxnchris0 proto bird metric 32 pref medium
fd96:cd8b:f25d::/64 via fe80::c6ad:34ff:fe83:8a5c dev enx00e04c3608cc proto bird metric 32 pref medium
fd96:cd8b:f25d::/48 via fe80::c6ad:34ff:fe83:8a5c dev enx00e04c3608cc proto bird metric 32 pref medium
fda2:a9b0:a02b::/48 via fe80::3383:a4e:888e:7e8f dev enx00e04c3608cc proto bird metric 32 pref medium
fda7:3ae7:e04d::/64 via fe80::9cd3:5eff:fe99:5d5b dev crxnchris0 proto bird metric 32 pref medium
fdc2:9471:e3ba::/48 via fe80::d085:69ff:fef7:29f7 dev crxnalexsrv0 proto bird metric 32 pref medium
fdd2:cbf2:61bd::/64 via fe80::3383:a4e:888e:7e8f dev enx00e04c3608cc proto bird metric 32 pref medium
fdd2:cbf2:61bd::/48 via fe80::3383:a4e:888e:7e8f dev enx00e04c3608cc proto bird metric 32 pref medium
fdd4:975c:1440::1 via fe80::e2:afff:fee0:a58a dev crxnskip0 proto bird metric 32 pref medium
fdd4:975c:1440::/48 via fe80::e2:afff:fee0:a58a dev crxnskip0 proto bird metric 32 pref medium
fded:4178:23fe::/56 via fe80::3383:a4e:888e:7e8f dev enx00e04c3608cc proto bird metric 32 pref medium
fdf1:1dc1:f54d::/48 via fe80::e68d:8cff:fe20:4cec dev enx00e04c3a99a6 proto bird metric 32 pref medium
```

You can also actively monitor changes to the IPv6 kernel routing table with `ip -6 mon route` which is very handy for debugging:

```
Deleted fd40:aa42:4f39::/48 via fe80::c6ad:34ff:fe83:8a5c dev enx00e04c3608cc proto bird metric 32 pref medium
fd40:aa42:4f39::/48 via fe80::c6ad:34ff:fe83:8a5c dev enx00e04c3608cc proto bird metric 32 pref medium
Deleted fdd4:975c:1440::1 via fe80::e2:afff:fee0:a58a dev crxnskip0 proto bird metric 32 pref medium
fdd4:975c:1440::1 via fe80::e2:afff:fee0:a58a dev crxnskip0 proto bird metric 32 pref medium
Deleted fdd4:975c:1440::/48 via fe80::e2:afff:fee0:a58a dev crxnskip0 proto bird metric 32 pref medium
fdd4:975c:1440::/48 via fe80::e2:afff:fee0:a58a dev crxnskip0 proto bird metric 32 pref medium
Deleted fded:4178:23fe::/56 via fe80::3383:a4e:888e:7e8f dev enx00e04c3608cc proto bird metric 32 pref medium
fded:4178:23fe::/56 via fe80::3383:a4e:888e:7e8f dev enx00e04c3608cc proto bird metric 32 pref medium
```